//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
#include "FishingUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
        Rod.NutRodLongevity = 10;
        Rod.BambooRodLongevity = 25;
        Rod.Bamboo2RodLongevity = 70;
        Rod.Bamboo3RodLongevity = 120;
        Rod.TelescopicRodLongevity = 250;
        Rod.TelescopicLightenedRodLongevity = 600;
        Rod.NetLongevity = 30;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N2Click(TObject *Sender)
{
        Form2->Show();
}
//---------------------------------------------------------------------------
void TForm1::Calculation()
{
        FishCalculation = ((Fish.Cancer * 2) + (Fish.Gudgeon * 2.7) + (Fish.Topsail * 2.9) + (Fish.Redfeather * 2.9) + (Fish.Goby * 3) + (Fish.Carp * 5) + (Fish.Bream * 5) + (Fish.Perch * 5) + (Fish.Ruff * 8) + (Fish.Roech * 8.5) + (Fish.EuropeanCarp * 9) + (Fish.Near * 9) + (Fish.Ide * 11) + (Fish.Molt * 26) + (Fish.Sheatfish * 26) + (Fish.Burbot * 29) + (Fish.Pikeperch * 30) + (Fish.Gog * 58) + (Fish.Pike * 80) + (Fish.Trout * 83));
        BaitCalculation = ((Bait.Bread * 1) + (Bait.Worm * 1) + (Bait.LargeWorm * 1) + (Bait.Fall * 5) + (Bait.Moth * 5) + (Bait.SpoonBait * 50));
        RodCalculation = ((Rod.NutRod * 10) + (Rod.BambooRod * 25) + (Rod.Bamboo2Rod * 70) + (Rod.Bamboo3Rod * 120) + (Rod.TelescopicRod * 250) + (Rod.TelescopicLightenedRod * 600) + (Rod.Net * 30) + (10 - Rod.NutRodLongevity) + (25 - Rod.BambooRodLongevity) + (70 - Rod.Bamboo2RodLongevity) + (120 - Rod.Bamboo3RodLongevity) + (250 - Rod.TelescopicRodLongevity) + (600 - Rod.TelescopicLightenedRodLongevity) + (30 - Rod.NetLongevity));
        ResultCalculation = FishCalculation - BaitCalculation - RodCalculation;
        ShowMessage("  : " + IntToStr(ResultCalculation) + " .");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N3Click(TObject *Sender)
{
        Form3->Show();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N4Click(TObject *Sender)
{
        Form4->Show();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N8Click(TObject *Sender)
{
        Application->Terminate();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CalculationButtonClick(TObject *Sender)
{
        Calculation();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
        if (Key == 13)
        {
                Form1->CalculationButtonClick(Form1);
        }
        if (Key == 27)
        {
                Application->Terminate();
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N7Click(TObject *Sender)
{
        Calculation();
}
//---------------------------------------------------------------------------
